Package com.documentum.operations

# Interface IDfOperationError

public interface IDfOperationError
Stores information about an error detected during operation execution. Here is a list of the known error codes:

     1000 OBJECT_LOCKED_BY_OTHER_USER -  Trying to lock an object that is already locked by another user.

     1001 COULD_NOT_LOCK_OBJECT -  Error trying to lock an object.

     1002 ERROR_ADDING_CHECKOUT_ITEM -  Error trying to add object as checkout item in registry.

     1003 OVERWRITE_EXISTING_FILE -  Trying to checkout / export a file to a path that is already occupied.

     1004 DOCUMENT_HAS_NO_CONTENT -  Trying to export a document with no content.

     1005 COULD_NOT_GET_CONTENT_FILE -  Error during getfile for export / checkout.

     1006 COULD_NOT_ADD_AS_LOCAL_COPY -  Error trying to add a local file object to the registry.

     1007 COULD_NOT_PATCH_REFERENCES -  Error occurred during content patching process.

     1008 COULD_NOT_UNLOCK_OBJECT -  Could not release an object lock. Lock may have already been released or acquired by someone else.

     1009 COULD_NOT_DELETE_LOCAL_FILE -  Could not delete the local file. May be in use.

     1010 COULD_NOT_CREATE_OBJECT_IMPORT -  Error creating new docbase object during import (implicit import during check in too).

     1011 ERROR_DURING_SETFILE -  Error occurred during the process of setting the content file for a new or checking in object.

     1012 COULD_NOT_SAVE_NEW_IMPORT_OBJECT -  Error during save of newly imported object.

     1013 COULD_NOT_CHECKIN_OBJECT -  Error during the checkin process of a document (the actual dmAPI checkin / svae).

     1014 ERROR_DURING_REG_UPDATE_CHECKIN -  Error during registry update on check in.

     1015 COULD_NOT_COPY_OBJECT -  Could not make copy of the document.

     1016 COULD_NOT_LINK_TO_DESTINATION_FOLDER -  Could not link the document to destination folder.

     1017 COULD_NOT_RENAME_OBJECT -  Could not rename the object.

     1018 COULD_NOT_FIX_RELATIONSHIPS -  Could not fix relationships.

     1019 COULD_NOT_DELETE_OBJECT -  Could not delete object.

     1020 ERROR_COMPLETING_DELETION -  Error occured during clean up after object deletion (e.g. removing registy entries).

     1021 ERROR_NOT_ALL_CD_REFS_PATCHED -  One or more compound document file references could not be patched (maybe missing content detector).

     1022 FOLDER_NAME_COLLISION -  Could not saveAsNew due to a folder name collision.

     1023 CD_SCAN_CONTENT_FILE_NOT_FOUND -  Content file for node could not be found and thus could not be scanned by content detectors.

     1024 CD_SCAN_CONTENT_FILE_NOT_READABLE -  Content file for node exists but could not be read. Might be locked exclusively.

     1025 CD_SCAN_NODE_EXCEPTION_OCCURED -  An unexpected exception occurred during content scanning for a particular node.

     1026 INBOUND_CONTAINMENT_FIXUP_FAILED -  Error either removing old compound containments or creating new ones on check in / import.

     1027 INBOUND_RELATION_FIXUP_FAILED -  Error either removing old compound relations or creating new ones on check in / import.

     1028 ERROR_APPLYING_CD_DETECTED_ATTRS -  Error occurred during application of cd detected attributes.

     1029 CANT_ADD_COMPOUND_TO_VIRTUAL_CHILDREN -  A document with virtual children cannot have any compound children added.

     1030 SOURCE_FOLDER_NOT_SPECIFIED -  Source folder need to be specified for move operation.

     1031 COULD_NOT_UNLINK_FROM_SOURCE_FOLDER -  Could not unlink from the source folder.

     1032 COULD_NOT_MOVE_OBJECT_ACROSS_DOCBASE -  Could not move object across because the object has one link and the user dosent have delete permission on this object.

     1033 NO_PERMISSION_TO_DELETE_OBJECT -  Could not delete the object because of inappropriate permission.

     1034 COULD_NOT_DELETE_CHECKED_OUT_OBJECT -  Cannot delete checked out object.

     1035 OPERATION_ABORTED -  Operation aborted.Usually this means the user chose not to continue in the face of some error.

     1036 NO_READ_PERMISSION_ON_SOURCE_OBJECT -  No read permission on source object.Hence, the source object cannot be copied.

     1037 NO_WRITE_PERMISSION_ON_DESTINATION_FOLDER  -  No write permission on destination folder.Hence the sorce object could not be copied to destination folder.

     1038 OBJECT_TYPE_NOT_PRESENT_IN_DEST_FOLDER_DOCBASE  -  Object type is not present in the docbase of destination folder.

     1039 SOURCE_FOLDER_TO_BE_COPIED_AND_DEST_FOLDER_COULD_NOT_BE_SAME  -  The folder to be copied and destination folder cannot be same.

     1040 CANNOT_COPY_NEW_OBJECT_UNTIL_CHECKEDIN -  Cannot copy new object until checked in.

     1041 COULD_NOT_ATTACH_LIFECYCLE -  Could not attach life cycle to the copy object.

     1042 VALIDATION_ERROR_OCCURRED -  Could not process document.

     1043 COULD_NOT_APPLY_XML_APPLICATION -  Could not apply XML application to file.

     1044 UNABLE_TO_FIND_DTD_FOR_XML_APPLICATION -  Could not find the DTD in the application folder.

     1045 OBJECT_LOCKED_BY_USER_PREVIOUSLY -  Document was checked out by user previously.

     1046 INCORRECT_INPUT_OBJECT_FOR_TRANSFORMATION  -  Input object for transformation not specified in correct way.

     1047 TRANSFORMATION_NOT_SPECIFIED_FOR_INPUT_OBJECT  -  Transformation object need to be specified.

     1048 TRANSFORMATION_NOT_SPECIFIED -  Transformation object need to be specified.

     1049 INCORRECT_TRANSFORMATION_FOR_INPUT_OBJECT  -  Transformation not specified in correct form.

     1050 INCORRECT_TRANSFORMATION -  Transformation not specified in correct form.

     1051 TRANSFORMATION_DESTINATION_NOT_SPECIFIED_FOR_INPUT  -  Destination need to be specified on transformation.

     1052 TRANSFORMATION_DESTINATION_NOT_SPECIFIED  -  Destination need to be specified on transformation.

     1053 INCORRECT_TRANSFORMATION_DESTINATION_FOR_INPUT  -  Destination object for transformation not specified in correct form

     1054 INCORRECT_TRANSFORMATION_DESTINATION  -  Destination object for transformation not specified in correct form

     1055 OUTPUT_FORMAT_FOR_TRANSFORMATION_NOT_SPECIFIED_FOR_INPUT -  output format not specified for transformation

     1056 OUTPUT_FORMAT_FOR_TRANSFORMATION_NOT_SPECIFIED -  output format not specified for transformation

     1057 OUTPUT_FORMAT_SPECIFIED_FOR_TRANSFORMATION_NOT_IN_DOCBASE_FOR_INPUT  -  output format specified for transformation not in docbase.

     1058 OUTPUT_FORMAT_SPECIFIED_FOR_TRANSFORMATION_NOT_IN_DOCBASE -  output format specified for transformation not in docbase.

     1059 MALFORMED_FILE_URL -  Bad URL

     1060 VALIDATION_PARSE_WARNING -  Generic validation error

     1061 VALIDATION_PARSE_ERROR -  Generic validation error

     1062 VALIDATION_PARSE_FATAL_ERROR -  Generic validation error

     1063 COULD_NOT_PARSE_CONTENT -  Generic validation error

     1066 WILL_OVERWRITE_EXISTING_FILE -  Warning on overwrite existing file

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ADDING_VIRTUAL_DOCUMENT_NOT_SUPPORTED`
  `static final int`
  `BAD_RELATIVE_FOLDER_PATH_SPECIFIED_IN_XML_CONFIGURATION`
  `static final int`
  `BUSINESS_POLICY_FOLDER_DOES_NOT_EXIST`
  `static final int`
  `CANNOT_CANCEL_CHILD_UNTIL_PARENT_CANCELLED`
  `static final int`
  `CANNOT_CANCEL_INLINE_DESCENDENT_CHILD`
  `static final int`
  `CANNOT_CHECKIN_CHILD_UNTIL_PARENT_CHECKEDIN`
  `static final int`
  `CANNOT_CHECKIN_INLINE_DESCENDENT_CHILD`
  `static final int`
  `CANNOT_CHECKIN_OBJECT_THAT_IS_A_DRL`
  `static final int`
  `CANNOT_CHECKIN_REF_OBJ_SOURCE_OBJ_NOT_CHECKED_OUT`
  `static final int`
  `CANNOT_COMPLETE_CANCELCHECKOUT`
  `static final int`
  `CANNOT_COPY_CHILD_NO_PARENT_FOLDER`
  `static final int`
  `CANNOT_COPY_NEW_OBJECT_UNTIL_CHECKEDIN`
  `static final int`
  `CANNOT_COPY_WORKFLOW_OBJECT_OR_ACTIVITY`
  `static final int`
  `CANNOT_CREATE_CHILD_LINK_RELATIONSHIP`
  `static final int`
  `CANNOT_DELETE_FOLDER`
  `static final int`
  `CANNOT_FIND_XML_APP`
  `static final int`
  `CANNOT_LOCATE_BUSINESS_POLICY_IN_FOLDER`
  `static final int`
  `CANNOT_MOVE_OBJECT`
  `static final int`
  `CANNOT_MOVE_OBJECT_ACROSS_DOCBASES`
  `static final int`
  `CANNOT_SEND_PREDICTIVE_CACHING_MESSAGE`
  `static final int`
  `CANT_ADD_COMPOUND_TO_VIRTUAL_CHILDREN`
  `static final int`
  `CD_SCAN_CONTENT_FILE_NOT_FOUND`
  `static final int`
  `CD_SCAN_CONTENT_FILE_NOT_READABLE`
  `static final int`
  `CD_SCAN_NODE_EXCEPTION_OCCURED`
  `static final int`
  `CHECK_IN_NOT_SUPPORTED_FOR_XML_ASSEMBLY`
  `static final int`
  `CHECK_OUT_NOT_SUPPORTED_FOR_XML_ASSEMBLY`
  `static final int`
  `CONTENT_TEMPORARILY_UNAVAILABLE`
  `static final int`
  `COULD_NOT_ADD_AS_LOCAL_COPY`
  `static final int`
  `COULD_NOT_APPLY_XML_APPLICATION`
  `static final int`
  `COULD_NOT_ATTACH_LIFECYCLE`
  `static final int`
  `COULD_NOT_CHECKIN_OBJECT`
  `static final int`
  `COULD_NOT_COPY_OBJECT`
  `static final int`
  `COULD_NOT_CREATE_OBJECT_IMPORT`
  `static final int`
  `COULD_NOT_DELETE_CHECKED_OUT_OBJECT`
  `static final int`
  `COULD_NOT_DELETE_LOCAL_FILE`
  `static final int`
  `COULD_NOT_DELETE_OBJECT`
  `static final int`
  `COULD_NOT_FIX_RELATIONSHIPS`
  `static final int`
  `COULD_NOT_GET_CONTENT_FILE`
  `static final int`
  `COULD_NOT_LINK_TO_DESTINATION_FOLDER`
  `static final int`
  `COULD_NOT_LOCK_OBJECT`
  `static final int`
  `COULD_NOT_MOVE_CHECKED_OUT_OBJECT`
  `static final int`
  `COULD_NOT_MOVE_OBJECT_ACROSS_DOCBASE`
  `static final int`
  `COULD_NOT_PARSE_CONTENT`
  `static final int`
  `COULD_NOT_PATCH_REFERENCES`
  `static final int`
  `COULD_NOT_RENAME_OBJECT`
  `static final int`
  `COULD_NOT_SAVE_NEW_IMPORT_OBJECT`
  `static final int`
  `COULD_NOT_UNLINK_FROM_SOURCE_FOLDER`
  `static final int`
  `COULD_NOT_UNLOCK_OBJECT`
  `static final int`
  `CROSS_DOCBASE_COPY_OF_ASSEMBLY_NOT_SUPPORTED`
  `static final int`
  `DESTINATION_FOLDER_FOR_MOVE_OPER_NOT_SPECIFIED`
  `static final int`
  `DMS_NOT_FOUND`
  `static final int`
  `DOCUMENT_HAS_NO_CONTENT`
  `static final int`
  `DRL_FOLDER_DOES_NOT_EXIST`
  `static final int`
  `ERROR_ADDING_CHECKOUT_ITEM`
  `static final int`
  `ERROR_APPLYING_CD_DETECTED_ATTRS`
  `static final int`
  `ERROR_COMPLETING_DELETION`
  `static final int`
  `ERROR_DURING_REG_UPDATE_CHECKIN`
  `static final int`
  `ERROR_DURING_SETFILE`
  `static final int`
  `ERROR_NOT_ALL_CD_REFS_PATCHED`
  `static final int`
  `FATAL_SAX_EXCEPTION_OCCURED`
  `static final int`
  `FILE_MISSING`
  `static final int`
  `FOLDER_NAME_COLLISION`
  `static final int`
  `FORCE_DELETE_IS_NOT_SUPPORTED_FOR_MULTIPLE_VERSIONS`
  `static final int`
  `INBOUND_CONTAINMENT_FIXUP_FAILED`
  `static final int`
  `INBOUND_RELATION_FIXUP_FAILED`
  `static final int`
  `INCORRECT_DESTINATION_FOLDER_SPECIFIED`
  `static final int`
  `INCORRECT_INPUT_OBJECT_FOR_TRANSFORMATION`
  `static final int`
  `INCORRECT_TRANSFORMATION`
  `static final int`
  `INCORRECT_TRANSFORMATION_DESTINATION`
  `static final int`
  `INCORRECT_TRANSFORMATION_DESTINATION_FOR_INPUT`
  `static final int`
  `INCORRECT_TRANSFORMATION_FOR_INPUT_OBJECT`
  `static final int`
  `INSUFFICIENT_PRIVILEGE_TO_OBTAIN_LOCK`
  `static final int`
  `INVALID_DRL`
  `static final int`
  `INVALID_DRL_SPEC_FOR_FOLDER`
  `static final int`
  `INVALID_XML_ENCODING`
  `static final int`
  `MALFORMED_FILE_URL`
  `static final int`
  `MESSAGE_TRANSFER_ERROR`
  `static final int`
  `MISSING_LINK_ERROR`
  `static final int`
  `MUST_INCLUDE_DESCENDENTS_WITH_SCHEMA_DOCUMENT`
  `static final int`
  `NO_PERMISSION_TO_DELETE_OBJECT`
  `static final int`
  `NO_READ_PERMISSION_ON_SOURCE_OBJECT`
  `static final int`
  `NO_WRITE_PERMISSION_ON_DESTINATION_FOLDER`
  `static final int`
  `OBJECT_CONTAIN_REFERENCES_WAS_LOCKED_BY_USER_PREVIOUSLY`
  `static final int`
  `OBJECT_ID_IN_XML_DOES_NOT_MATCH_SYSOBJECT`
  `static final int`
  `OBJECT_ID_IN_XML_NOT_CHECKED_OUT`
  `static final int`
  `OBJECT_LOCKED_BY_OTHER_USER`
  `static final int`
  `OBJECT_LOCKED_BY_USER_PREVIOUSLY`
  `static final int`
  `OBJECT_TYPE_NOT_PRESENT_IN_DEST_FOLDER_DOCBASE`
  `static final int`
  `OPERATION_ABORTED`
  `static final int`
  `OPERATION_NOT_SUPPORTED_FOR_FORMAT`
  `static final int`
  `OPERATION_NOT_SUPPORTED_FOR_TYPE`
  `static final int`
  `OUTPUT_FORMAT_FOR_TRANSFORMATION_NOT_SPECIFIED`
  `static final int`
  `OUTPUT_FORMAT_FOR_TRANSFORMATION_NOT_SPECIFIED_FOR_INPUT`
  `static final int`
  `OUTPUT_FORMAT_SPECIFIED_FOR_TRANSFORMATION_NOT_IN_DOCBASE`
  `static final int`
  `OUTPUT_FORMAT_SPECIFIED_FOR_TRANSFORMATION_NOT_IN_DOCBASE_FOR_INPUT`
  `static final int`
  `OVERWRITE_EXISTING_FILE`
  `static final int`
  `PRE_TRANSFORMATION_FAILED`
  `static final int`
  `RESOURCE_FORK_IS_REQUIRED`
  `static final int`
  `RESOURCE_FORK_NOT_AVAILABLE_IN_DOCBASE`
  `static final int`
  `RETAIN_LOCK_NOT_SUPPORTED_IN_COMPOUND_DOCUMENT`
  `static final int`
  `SESSION_REQUIRED_FOR_IMPORT_OPERATION`
  `static final int`
  `SOURCE_FOLDER_NOT_SPECIFIED`
  `static final int`
  `SOURCE_FOLDER_TO_BE_COPIED_AND_DEST_FOLDER_COULD_NOT_BE_SAME`
  `static final int`
  `TRANSFORMATION_DESTINATION_NOT_SPECIFIED`
  `static final int`
  `TRANSFORMATION_DESTINATION_NOT_SPECIFIED_FOR_INPUT`
  `static final int`
  `TRANSFORMATION_NOT_SPECIFIED`
  `static final int`
  `TRANSFORMATION_NOT_SPECIFIED_FOR_INPUT_OBJECT`
  `static final int`
  `UNABLE_TO_FIND_DTD_FOR_XML_APPLICATION`
  `static final int`
  `UNABLE_TO_LOCATE_XML_APPLICATION_FOLDER`
  `static final int`
  `UNABLE_TO_LOCATE_XML_CONFIG`
  `static final int`
  `UNABLE_TO_READ_XML_CONFIG`
  `static final int`
  `VALIDATION_ERROR_FROM_DATA_DICTIONARY`
  `static final int`
  `VALIDATION_ERROR_OCCURRED`
  `static final int`
  `VALIDATION_PARSE_ERROR`
  `static final int`
  `VALIDATION_PARSE_FATAL_ERROR`
  `static final int`
  `VALIDATION_PARSE_WARNING`
  `static final int`
  `WILL_OVERWRITE_EXISTING_FILE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getErrorCode()`
  Returns the code describing the type of error.
  `IDfException`
  `getException()`
  Returns the exception that triggered the error.
  `String`
  `getMessage()`
  Returns a textual message describing the error condition.
  `IDfOperationNode`
  `getNode()`
  Returns the operation node in which the error occurred.
  `IDfOperation`
  `getOperation()`
  Returns the operation in which the error occured.

- ## Field Details

  - ### OBJECT_LOCKED_BY_OTHER_USER

    static final int OBJECT_LOCKED_BY_OTHER_USER
    See Also:
      - Constant Field Values

  - ### COULD_NOT_LOCK_OBJECT

    static final int COULD_NOT_LOCK_OBJECT
    See Also:
      - Constant Field Values

  - ### ERROR_ADDING_CHECKOUT_ITEM

    static final int ERROR_ADDING_CHECKOUT_ITEM
    See Also:
      - Constant Field Values

  - ### OVERWRITE_EXISTING_FILE

    static final int OVERWRITE_EXISTING_FILE
    See Also:
      - Constant Field Values

  - ### DOCUMENT_HAS_NO_CONTENT

    static final int DOCUMENT_HAS_NO_CONTENT
    See Also:
      - Constant Field Values

  - ### COULD_NOT_GET_CONTENT_FILE

    static final int COULD_NOT_GET_CONTENT_FILE
    See Also:
      - Constant Field Values

  - ### COULD_NOT_ADD_AS_LOCAL_COPY

    static final int COULD_NOT_ADD_AS_LOCAL_COPY
    See Also:
      - Constant Field Values

  - ### COULD_NOT_PATCH_REFERENCES

    static final int COULD_NOT_PATCH_REFERENCES
    See Also:
      - Constant Field Values

  - ### COULD_NOT_UNLOCK_OBJECT

    static final int COULD_NOT_UNLOCK_OBJECT
    See Also:
      - Constant Field Values

  - ### COULD_NOT_DELETE_LOCAL_FILE

    static final int COULD_NOT_DELETE_LOCAL_FILE
    See Also:
      - Constant Field Values

  - ### COULD_NOT_CREATE_OBJECT_IMPORT

    static final int COULD_NOT_CREATE_OBJECT_IMPORT
    See Also:
      - Constant Field Values

  - ### ERROR_DURING_SETFILE

    static final int ERROR_DURING_SETFILE
    See Also:
      - Constant Field Values

  - ### COULD_NOT_SAVE_NEW_IMPORT_OBJECT

    static final int COULD_NOT_SAVE_NEW_IMPORT_OBJECT
    See Also:
      - Constant Field Values

  - ### COULD_NOT_CHECKIN_OBJECT

    static final int COULD_NOT_CHECKIN_OBJECT
    See Also:
      - Constant Field Values

  - ### ERROR_DURING_REG_UPDATE_CHECKIN

    static final int ERROR_DURING_REG_UPDATE_CHECKIN
    See Also:
      - Constant Field Values

  - ### COULD_NOT_COPY_OBJECT

    static final int COULD_NOT_COPY_OBJECT
    See Also:
      - Constant Field Values

  - ### COULD_NOT_LINK_TO_DESTINATION_FOLDER

    static final int COULD_NOT_LINK_TO_DESTINATION_FOLDER
    See Also:
      - Constant Field Values

  - ### COULD_NOT_RENAME_OBJECT

    static final int COULD_NOT_RENAME_OBJECT
    See Also:
      - Constant Field Values

  - ### COULD_NOT_FIX_RELATIONSHIPS

    static final int COULD_NOT_FIX_RELATIONSHIPS
    See Also:
      - Constant Field Values

  - ### COULD_NOT_DELETE_OBJECT

    static final int COULD_NOT_DELETE_OBJECT
    See Also:
      - Constant Field Values

  - ### ERROR_COMPLETING_DELETION

    static final int ERROR_COMPLETING_DELETION
    See Also:
      - Constant Field Values

  - ### ERROR_NOT_ALL_CD_REFS_PATCHED

    static final int ERROR_NOT_ALL_CD_REFS_PATCHED
    See Also:
      - Constant Field Values

  - ### FOLDER_NAME_COLLISION

    static final int FOLDER_NAME_COLLISION
    See Also:
      - Constant Field Values

  - ### CD_SCAN_NODE_EXCEPTION_OCCURED

    static final int CD_SCAN_NODE_EXCEPTION_OCCURED
    See Also:
      - Constant Field Values

  - ### INBOUND_CONTAINMENT_FIXUP_FAILED

    static final int INBOUND_CONTAINMENT_FIXUP_FAILED
    See Also:
      - Constant Field Values

  - ### INBOUND_RELATION_FIXUP_FAILED

    static final int INBOUND_RELATION_FIXUP_FAILED
    See Also:
      - Constant Field Values

  - ### ERROR_APPLYING_CD_DETECTED_ATTRS

    static final int ERROR_APPLYING_CD_DETECTED_ATTRS
    See Also:
      - Constant Field Values

  - ### CANT_ADD_COMPOUND_TO_VIRTUAL_CHILDREN

    static final int CANT_ADD_COMPOUND_TO_VIRTUAL_CHILDREN
    See Also:
      - Constant Field Values

  - ### SOURCE_FOLDER_NOT_SPECIFIED

    static final int SOURCE_FOLDER_NOT_SPECIFIED
    See Also:
      - Constant Field Values

  - ### COULD_NOT_UNLINK_FROM_SOURCE_FOLDER

    static final int COULD_NOT_UNLINK_FROM_SOURCE_FOLDER
    See Also:
      - Constant Field Values

  - ### COULD_NOT_MOVE_OBJECT_ACROSS_DOCBASE

    static final int COULD_NOT_MOVE_OBJECT_ACROSS_DOCBASE
    See Also:
      - Constant Field Values

  - ### NO_PERMISSION_TO_DELETE_OBJECT

    static final int NO_PERMISSION_TO_DELETE_OBJECT
    See Also:
      - Constant Field Values

  - ### COULD_NOT_DELETE_CHECKED_OUT_OBJECT

    static final int COULD_NOT_DELETE_CHECKED_OUT_OBJECT
    See Also:
      - Constant Field Values

  - ### OPERATION_ABORTED

    static final int OPERATION_ABORTED
    See Also:
      - Constant Field Values

  - ### NO_READ_PERMISSION_ON_SOURCE_OBJECT

    static final int NO_READ_PERMISSION_ON_SOURCE_OBJECT
    See Also:
      - Constant Field Values

  - ### NO_WRITE_PERMISSION_ON_DESTINATION_FOLDER

    static final int NO_WRITE_PERMISSION_ON_DESTINATION_FOLDER
    See Also:
      - Constant Field Values

  - ### OBJECT_TYPE_NOT_PRESENT_IN_DEST_FOLDER_DOCBASE

    static final int OBJECT_TYPE_NOT_PRESENT_IN_DEST_FOLDER_DOCBASE
    See Also:
      - Constant Field Values

  - ### CANNOT_COPY_NEW_OBJECT_UNTIL_CHECKEDIN

    static final int CANNOT_COPY_NEW_OBJECT_UNTIL_CHECKEDIN
    See Also:
      - Constant Field Values

  - ### COULD_NOT_ATTACH_LIFECYCLE

    static final int COULD_NOT_ATTACH_LIFECYCLE
    See Also:
      - Constant Field Values

  - ### COULD_NOT_APPLY_XML_APPLICATION

    static final int COULD_NOT_APPLY_XML_APPLICATION
    See Also:
      - Constant Field Values

  - ### UNABLE_TO_FIND_DTD_FOR_XML_APPLICATION

    static final int UNABLE_TO_FIND_DTD_FOR_XML_APPLICATION
    See Also:
      - Constant Field Values

  - ### OBJECT_LOCKED_BY_USER_PREVIOUSLY

    static final int OBJECT_LOCKED_BY_USER_PREVIOUSLY
    See Also:
      - Constant Field Values

  - ### INCORRECT_INPUT_OBJECT_FOR_TRANSFORMATION

    static final int INCORRECT_INPUT_OBJECT_FOR_TRANSFORMATION
    See Also:
      - Constant Field Values

  - ### TRANSFORMATION_NOT_SPECIFIED_FOR_INPUT_OBJECT

    static final int TRANSFORMATION_NOT_SPECIFIED_FOR_INPUT_OBJECT
    See Also:
      - Constant Field Values

  - ### TRANSFORMATION_NOT_SPECIFIED

    static final int TRANSFORMATION_NOT_SPECIFIED
    See Also:
      - Constant Field Values

  - ### INCORRECT_TRANSFORMATION_FOR_INPUT_OBJECT

    static final int INCORRECT_TRANSFORMATION_FOR_INPUT_OBJECT
    See Also:
      - Constant Field Values

  - ### INCORRECT_TRANSFORMATION

    static final int INCORRECT_TRANSFORMATION
    See Also:
      - Constant Field Values

  - ### TRANSFORMATION_DESTINATION_NOT_SPECIFIED_FOR_INPUT

    static final int TRANSFORMATION_DESTINATION_NOT_SPECIFIED_FOR_INPUT
    See Also:
      - Constant Field Values

  - ### TRANSFORMATION_DESTINATION_NOT_SPECIFIED

    static final int TRANSFORMATION_DESTINATION_NOT_SPECIFIED
    See Also:
      - Constant Field Values

  - ### INCORRECT_TRANSFORMATION_DESTINATION_FOR_INPUT

    static final int INCORRECT_TRANSFORMATION_DESTINATION_FOR_INPUT
    See Also:
      - Constant Field Values

  - ### INCORRECT_TRANSFORMATION_DESTINATION

    static final int INCORRECT_TRANSFORMATION_DESTINATION
    See Also:
      - Constant Field Values

  - ### OUTPUT_FORMAT_FOR_TRANSFORMATION_NOT_SPECIFIED_FOR_INPUT

    static final int OUTPUT_FORMAT_FOR_TRANSFORMATION_NOT_SPECIFIED_FOR_INPUT
    See Also:
      - Constant Field Values

  - ### OUTPUT_FORMAT_FOR_TRANSFORMATION_NOT_SPECIFIED

    static final int OUTPUT_FORMAT_FOR_TRANSFORMATION_NOT_SPECIFIED
    See Also:
      - Constant Field Values

  - ### OUTPUT_FORMAT_SPECIFIED_FOR_TRANSFORMATION_NOT_IN_DOCBASE_FOR_INPUT

    static final int OUTPUT_FORMAT_SPECIFIED_FOR_TRANSFORMATION_NOT_IN_DOCBASE_FOR_INPUT
    See Also:
      - Constant Field Values

  - ### OUTPUT_FORMAT_SPECIFIED_FOR_TRANSFORMATION_NOT_IN_DOCBASE

    static final int OUTPUT_FORMAT_SPECIFIED_FOR_TRANSFORMATION_NOT_IN_DOCBASE
    See Also:
      - Constant Field Values

  - ### MALFORMED_FILE_URL

    static final int MALFORMED_FILE_URL
    See Also:
      - Constant Field Values

  - ### CANNOT_CHECKIN_CHILD_UNTIL_PARENT_CHECKEDIN

    static final int CANNOT_CHECKIN_CHILD_UNTIL_PARENT_CHECKEDIN
    See Also:
      - Constant Field Values

  - ### CANNOT_CREATE_CHILD_LINK_RELATIONSHIP

    static final int CANNOT_CREATE_CHILD_LINK_RELATIONSHIP
    See Also:
      - Constant Field Values

  - ### WILL_OVERWRITE_EXISTING_FILE

    static final int WILL_OVERWRITE_EXISTING_FILE
    See Also:
      - Constant Field Values

  - ### BUSINESS_POLICY_FOLDER_DOES_NOT_EXIST

    static final int BUSINESS_POLICY_FOLDER_DOES_NOT_EXIST
    See Also:
      - Constant Field Values

  - ### BAD_RELATIVE_FOLDER_PATH_SPECIFIED_IN_XML_CONFIGURATION

    static final int BAD_RELATIVE_FOLDER_PATH_SPECIFIED_IN_XML_CONFIGURATION
    See Also:
      - Constant Field Values

  - ### CANNOT_CHECKIN_INLINE_DESCENDENT_CHILD

    static final int CANNOT_CHECKIN_INLINE_DESCENDENT_CHILD
    See Also:
      - Constant Field Values

  - ### PRE_TRANSFORMATION_FAILED

    static final int PRE_TRANSFORMATION_FAILED
    See Also:
      - Constant Field Values

  - ### CANNOT_FIND_XML_APP

    static final int CANNOT_FIND_XML_APP
    See Also:
      - Constant Field Values

  - ### CANNOT_COMPLETE_CANCELCHECKOUT

    static final int CANNOT_COMPLETE_CANCELCHECKOUT
    See Also:
      - Constant Field Values

  - ### RETAIN_LOCK_NOT_SUPPORTED_IN_COMPOUND_DOCUMENT

    static final int RETAIN_LOCK_NOT_SUPPORTED_IN_COMPOUND_DOCUMENT
    See Also:
      - Constant Field Values

  - ### UNABLE_TO_LOCATE_XML_APPLICATION_FOLDER

    static final int UNABLE_TO_LOCATE_XML_APPLICATION_FOLDER
    See Also:
      - Constant Field Values

  - ### UNABLE_TO_LOCATE_XML_CONFIG

    static final int UNABLE_TO_LOCATE_XML_CONFIG
    See Also:
      - Constant Field Values

  - ### UNABLE_TO_READ_XML_CONFIG

    static final int UNABLE_TO_READ_XML_CONFIG
    See Also:
      - Constant Field Values

  - ### INVALID_DRL_SPEC_FOR_FOLDER

    static final int INVALID_DRL_SPEC_FOR_FOLDER
    See Also:
      - Constant Field Values

  - ### INVALID_XML_ENCODING

    static final int INVALID_XML_ENCODING
    See Also:
      - Constant Field Values

  - ### CANNOT_DELETE_FOLDER

    static final int CANNOT_DELETE_FOLDER
    See Also:
      - Constant Field Values

  - ### CANNOT_LOCATE_BUSINESS_POLICY_IN_FOLDER

    static final int CANNOT_LOCATE_BUSINESS_POLICY_IN_FOLDER
    See Also:
      - Constant Field Values

  - ### RESOURCE_FORK_NOT_AVAILABLE_IN_DOCBASE

    static final int RESOURCE_FORK_NOT_AVAILABLE_IN_DOCBASE
    See Also:
      - Constant Field Values

  - ### RESOURCE_FORK_IS_REQUIRED

    static final int RESOURCE_FORK_IS_REQUIRED
    See Also:
      - Constant Field Values

  - ### INSUFFICIENT_PRIVILEGE_TO_OBTAIN_LOCK

    static final int INSUFFICIENT_PRIVILEGE_TO_OBTAIN_LOCK
    See Also:
      - Constant Field Values

  - ### OBJECT_ID_IN_XML_NOT_CHECKED_OUT

    static final int OBJECT_ID_IN_XML_NOT_CHECKED_OUT
    See Also:
      - Constant Field Values

  - ### CANNOT_CHECKIN_REF_OBJ_SOURCE_OBJ_NOT_CHECKED_OUT

    static final int CANNOT_CHECKIN_REF_OBJ_SOURCE_OBJ_NOT_CHECKED_OUT
    See Also:
      - Constant Field Values

  - ### CANNOT_MOVE_OBJECT

    static final int CANNOT_MOVE_OBJECT
    See Also:
      - Constant Field Values

  - ### CANNOT_MOVE_OBJECT_ACROSS_DOCBASES

    static final int CANNOT_MOVE_OBJECT_ACROSS_DOCBASES
    See Also:
      - Constant Field Values

  - ### DESTINATION_FOLDER_FOR_MOVE_OPER_NOT_SPECIFIED

    static final int DESTINATION_FOLDER_FOR_MOVE_OPER_NOT_SPECIFIED
    See Also:
      - Constant Field Values

  - ### CONTENT_TEMPORARILY_UNAVAILABLE

    static final int CONTENT_TEMPORARILY_UNAVAILABLE
    See Also:
      - Constant Field Values

  - ### CANNOT_COPY_CHILD_NO_PARENT_FOLDER

    static final int CANNOT_COPY_CHILD_NO_PARENT_FOLDER
    See Also:
      - Constant Field Values

  - ### CANNOT_SEND_PREDICTIVE_CACHING_MESSAGE

    static final int CANNOT_SEND_PREDICTIVE_CACHING_MESSAGE
    See Also:
      - Constant Field Values

  - ### DMS_NOT_FOUND

    static final int DMS_NOT_FOUND
    See Also:
      - Constant Field Values

  - ### MESSAGE_TRANSFER_ERROR

    static final int MESSAGE_TRANSFER_ERROR
    See Also:
      - Constant Field Values

  - ### OBJECT_CONTAIN_REFERENCES_WAS_LOCKED_BY_USER_PREVIOUSLY

    static final int OBJECT_CONTAIN_REFERENCES_WAS_LOCKED_BY_USER_PREVIOUSLY
    See Also:
      - Constant Field Values

  - ### DRL_FOLDER_DOES_NOT_EXIST

    static final int DRL_FOLDER_DOES_NOT_EXIST
    See Also:
      - Constant Field Values

  - ### INCORRECT_DESTINATION_FOLDER_SPECIFIED

    static final int INCORRECT_DESTINATION_FOLDER_SPECIFIED
    See Also:
      - Constant Field Values

  - ### CANNOT_CANCEL_CHILD_UNTIL_PARENT_CANCELLED

    static final int CANNOT_CANCEL_CHILD_UNTIL_PARENT_CANCELLED
    See Also:
      - Constant Field Values

  - ### CANNOT_CANCEL_INLINE_DESCENDENT_CHILD

    static final int CANNOT_CANCEL_INLINE_DESCENDENT_CHILD
    See Also:
      - Constant Field Values

  - ### COULD_NOT_MOVE_CHECKED_OUT_OBJECT

    static final int COULD_NOT_MOVE_CHECKED_OUT_OBJECT
    See Also:
      - Constant Field Values

  - ### MISSING_LINK_ERROR

    static final int MISSING_LINK_ERROR
    See Also:
      - Constant Field Values

  - ### INVALID_DRL

    static final int INVALID_DRL
    See Also:
      - Constant Field Values

  - ### FILE_MISSING

    static final int FILE_MISSING
    See Also:
      - Constant Field Values

  - ### CROSS_DOCBASE_COPY_OF_ASSEMBLY_NOT_SUPPORTED

    static final int CROSS_DOCBASE_COPY_OF_ASSEMBLY_NOT_SUPPORTED
    See Also:
      - Constant Field Values

  - ### OBJECT_ID_IN_XML_DOES_NOT_MATCH_SYSOBJECT

    static final int OBJECT_ID_IN_XML_DOES_NOT_MATCH_SYSOBJECT
    See Also:
      - Constant Field Values

  - ### CANNOT_COPY_WORKFLOW_OBJECT_OR_ACTIVITY

    static final int CANNOT_COPY_WORKFLOW_OBJECT_OR_ACTIVITY
    See Also:
      - Constant Field Values

  - ### CANNOT_CHECKIN_OBJECT_THAT_IS_A_DRL

    static final int CANNOT_CHECKIN_OBJECT_THAT_IS_A_DRL
    See Also:
      - Constant Field Values

  - ### VALIDATION_ERROR_OCCURRED

    static final int VALIDATION_ERROR_OCCURRED
    See Also:
      - Constant Field Values

  - ### VALIDATION_PARSE_WARNING

    static final int VALIDATION_PARSE_WARNING
    See Also:
      - Constant Field Values

  - ### VALIDATION_PARSE_ERROR

    static final int VALIDATION_PARSE_ERROR
    See Also:
      - Constant Field Values

  - ### VALIDATION_PARSE_FATAL_ERROR

    static final int VALIDATION_PARSE_FATAL_ERROR
    See Also:
      - Constant Field Values

  - ### COULD_NOT_PARSE_CONTENT

    static final int COULD_NOT_PARSE_CONTENT
    See Also:
      - Constant Field Values

  - ### VALIDATION_ERROR_FROM_DATA_DICTIONARY

    static final int VALIDATION_ERROR_FROM_DATA_DICTIONARY
    See Also:
      - Constant Field Values

  - ### FATAL_SAX_EXCEPTION_OCCURED

    static final int FATAL_SAX_EXCEPTION_OCCURED
    See Also:
      - Constant Field Values

  - ### CD_SCAN_CONTENT_FILE_NOT_FOUND

    static final int CD_SCAN_CONTENT_FILE_NOT_FOUND
    See Also:
      - Constant Field Values

  - ### CD_SCAN_CONTENT_FILE_NOT_READABLE

    static final int CD_SCAN_CONTENT_FILE_NOT_READABLE
    See Also:
      - Constant Field Values

  - ### CHECK_OUT_NOT_SUPPORTED_FOR_XML_ASSEMBLY

    static final int CHECK_OUT_NOT_SUPPORTED_FOR_XML_ASSEMBLY
    See Also:
      - Constant Field Values

  - ### CHECK_IN_NOT_SUPPORTED_FOR_XML_ASSEMBLY

    static final int CHECK_IN_NOT_SUPPORTED_FOR_XML_ASSEMBLY
    See Also:
      - Constant Field Values

  - ### SOURCE_FOLDER_TO_BE_COPIED_AND_DEST_FOLDER_COULD_NOT_BE_SAME

    static final int SOURCE_FOLDER_TO_BE_COPIED_AND_DEST_FOLDER_COULD_NOT_BE_SAME
    See Also:
      - Constant Field Values

  - ### MUST_INCLUDE_DESCENDENTS_WITH_SCHEMA_DOCUMENT

    static final int MUST_INCLUDE_DESCENDENTS_WITH_SCHEMA_DOCUMENT
    See Also:
      - Constant Field Values

  - ### ADDING_VIRTUAL_DOCUMENT_NOT_SUPPORTED

    static final int ADDING_VIRTUAL_DOCUMENT_NOT_SUPPORTED
    See Also:
      - Constant Field Values

  - ### SESSION_REQUIRED_FOR_IMPORT_OPERATION

    static final int SESSION_REQUIRED_FOR_IMPORT_OPERATION
    See Also:
      - Constant Field Values

  - ### FORCE_DELETE_IS_NOT_SUPPORTED_FOR_MULTIPLE_VERSIONS

    static final int FORCE_DELETE_IS_NOT_SUPPORTED_FOR_MULTIPLE_VERSIONS
    See Also:
      - Constant Field Values

  - ### OPERATION_NOT_SUPPORTED_FOR_TYPE

    static final int OPERATION_NOT_SUPPORTED_FOR_TYPE
    See Also:
      - Constant Field Values

  - ### OPERATION_NOT_SUPPORTED_FOR_FORMAT

    static final int OPERATION_NOT_SUPPORTED_FOR_FORMAT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getOperation

    IDfOperation getOperation()
    Returns the operation in which the error occured.
    Returns:
      the operation in which the error occured.

  - ### getNode

    IDfOperationNode getNode()
    Returns the operation node in which the error occurred. Can be null for general operation errors not related to a specific node.
    Returns:
      the operation node in which the error occurred.

  - ### getErrorCode

    int getErrorCode()
    Returns the code describing the type of error.
    Returns:
      the code describing the type of error.

  - ### getMessage

    String getMessage()
    Returns a textual message describing the error condition.
    Returns:
      a textual message describing the error condition.

  - ### getException

    IDfException getException()
    Returns the exception that triggered the error. May be null for errors detected without an exception having been thrown.
    Returns:
      the exception that triggered the error.